> ## Documentation Index
> Fetch the complete documentation index at: https://sigma-docs.pastelhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Customers

> ```
GET api/v1/cdd/customers/{uniqueId}
```




## OpenAPI

````yaml cdd-model.json GET /cdd/customers/{uniqueId}
openapi: 3.1.0
info:
  title: Sigma CDD API
  description: Customer Due Diligence API documentation
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://sigmacdd.sabipay.com/api/v1
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
paths:
  /cdd/customers/{uniqueId}:
    get:
      summary: Get customer by uniqueId or account number
      parameters:
        - name: uniqueId
          in: path
          required: true
          description: The customer's uniqueId or account number
          schema:
            type: string
      responses:
        '200':
          description: Customer fetched
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse'
              example:
                message: Cdd customer fetched successfully
                data:
                  customer:
                    _id: 67f50d48c2a7d1f2b6e99389
                    name: Aisha Bello
                    uniqueId: CUS-10001
                    type: individual
                    status: active
                    channel: WEB_PORTAL
                    cddStatus: pending review
                    riskTier: medium
                    overallRiskRating:
                      riskLevel: medium
                      riskScore: 62
                      user:
                        firstName: Risk
                        lastName: Officer
                    cddVerificationStatus: Awaiting Confirmation
                    createdAt: '2026-03-25T10:25:00.000Z'
                  verifications:
                    id:
                      - key: bvn
                        name: BVN Verification
                        status: Verified
                        requestId: 67f510d8c2a7d1f2b6e99401
                        lastRunAt: '2026-03-25T10:40:00.000Z'
                    others:
                      - key: pep
                        name: PEP Screening
                        status: Awaiting Confirmation
                        requestId: 67f510d8c2a7d1f2b6e99401
                        lastRunAt: '2026-03-25T10:40:00.000Z'
                  runningCdd: null
                  analysis: >-
                    Customer has moderate risk due to occupation and transaction
                    pattern.
components:
  schemas:
    GenericResponse:
      type: object
      properties:
        message:
          type: string
        data:
          type: object
          additionalProperties: true
      example:
        message: successful
        data:
          id: 67f4f9b5c2a7d1f2b6e99122
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: apiKey
    ApiSecret:
      type: apiKey
      in: header
      name: apiSecret

````